import request from "./index"

/* 
    生成激活码
*/
export const produceCode = (params: any) => {
    return request({
      url: "/data/api-s/activateCode/addActivateCode",
      method: "post",
      data: params
    });
};

/* 
    激活码激活
    param: code string 
*/
export const activeByCode = (params: any) => {
    return request({
      url: "/data/api-s/activateCode/active",
      method: "post",
      data: params
    });
};

/* 
查询所有激活码
param:
    "inputText": "string",
    "orderName": "string",
    "orderType": "string",
    "page": 0,
    "productId": "string",
    "productType": 0,
    "size": 0 
*/
export const findActiveCode = (params: any) => {
    return request({
      url: "/data/api-s/activateCode/findAllActivateCode",
      method: "post",
      data: params
    });
};

/* 
    激活码详情
    param: code string 
*/
export const showDetail = (query: any) => {
    return request({
      url: "/data/api-s/activateCode/show",
      method: "get",
      params: query
    });
};
